Results 1 to 8 of 8

Thread: If I downgrade, can I play new UMD games?

  
  1. #1
    andy__k is offline -Hacks Newbie
    Join Date
    Aug 2006
    Posts
    13
    Rep Power
    0

    Default

    Say I manage to downgrade to 1.5fw, and use Devhook which is like having 2.6 (dont actually know the difference coz im new), will I be able to play any NEW new UMD games, like ones they're about to release? Or will there be an ISO available for the new game anyway?

    if you know what i mean

    Thanks
    Andy


  2. #2
    ShiNZ is offline -Hacks Member
    Join Date
    Dec 2005
    Location
    look inside you
    Posts
    229
    Rep Power
    14

    Default

    actually, devhook can only emulate fw up to 2.71.. however, it probably wud be able to play newer games wif methods like prx replacements...

  3. #3
    mozza is offline -Hacks Ninja
    Join Date
    Jan 2006
    Posts
    636
    Rep Power
    14

    Default

    it is a yes due to the fact that there are not many 2.8 games out yet and also shinz is right cause the new f/w games will most likley work with a few pex swaps (oh the good old days lol)

    Now Playing G.R.A.W On Xbox Live So If You Think You Are Hard Enough Come Get Some.....................................................................................Gamert ag Mozza01

  4. #4
    Man. is offline Senior Member -Hacks God
    Join Date
    Feb 2006
    Location
    ~~~~~~UK~~~~~~
    Posts
    3,277
    Rep Power
    17

    Default

    i think the new gta will be 2.8

    the think is i want the UMD not the iso, so i'm stuck unless by then devhook can emulate 2.8 (i wish)
    --------------------мαкανєℓι тнα ∂ση--------------------

  5. #5
    mozza is offline -Hacks Ninja
    Join Date
    Jan 2006
    Posts
    636
    Rep Power
    14

    Default

    well man one day it may happen but i am sure we will be able to do something with it i mean it was only about 6 months agao we couldnt run gta on 1.5 so only time will tell m8 i think it will happen but it took ages for the 2.5/2.6 downgrader to come out i am just going to keep my fingers crossed cause i want to play gt mobile and i think that will be 2.8 but i will not upgrade for it cause it will be one of them (i want to play this i will upgrade and then bang 2 days later devhook emulates 2.8 lol).

    Now Playing G.R.A.W On Xbox Live So If You Think You Are Hard Enough Come Get Some.....................................................................................Gamert ag Mozza01

  6. #6
    VuZuW is offline -Hacks Guru
    Join Date
    Apr 2006
    Location
    Malta, Gozo
    Posts
    2,234
    Rep Power
    0

    Default

    Quote Originally Posted by mozza
    well man one day it may happen but i am sure we will be able to do something with it i mean it was only about 6 months agao we couldnt run gta on 1.5 so only time will tell m8 i think it will happen but it took ages for the 2.5/2.6 downgrader to come out i am just going to keep my fingers crossed cause i want to play gt mobile and i think that will be 2.8 but i will not upgrade for it cause it will be one of them (i want to play this i will upgrade and then bang 2 days later devhook emulates 2.8 lol).
    Exactly So keep in mind to NEVAAAAAAAAAAAAAAAAAA upgrade!!!!! NEVAAAAAA!!!! and therefore:

    You = Pwn Sony

  7. #7
    devilman is offline -Hacks Member
    Join Date
    Mar 2006
    Posts
    252
    Rep Power
    14

    Default

    most new games they release will be 2.8
    Dont let my post count doubt you, Wev been blessed with a search tab

  8. #8
    mozza is offline -Hacks Ninja
    Join Date
    Jan 2006
    Posts
    636
    Rep Power
    14

    Default

    hello devilman lol yes but they will most likley work with a bit of prx changing

    Now Playing G.R.A.W On Xbox Live So If You Think You Are Hard Enough Come Get Some.....................................................................................Gamert ag Mozza01

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •